Page MenuHomeFreeBSD

Upgrade lang/ghc to 8.4.3.
ClosedPublic

Authored by arrowd on Jun 27 2018, 4:52 PM.

Details

Summary

Upgrade GHC and bump PORTREVISION's for all Haskell ports. This is done in 2 commits to ease review.

Test Plan

pou bulk on 12-CURRENT amd64.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd created this revision.Jun 27 2018, 4:52 PM
mat added a subscriber: mat.Jun 27 2018, 5:11 PM
In D16038#339738, @mat wrote:

Hum, for some reason I thought that Phab allowed viewing commit diffs.

arrowd updated this revision to Diff 44588.Jun 28 2018, 6:09 PM

Leave only lang/ghc upgrade changes in this review.

tcberner added inline comments.Jun 28 2018, 6:13 PM
lang/ghc/Makefile
6 ↗(On Diff #44588)

^ drop PORTREVISION (PORTVERSION increases)

arrowd updated this revision to Diff 44591.Jun 28 2018, 6:28 PM

Remove PORTREVISION that slipped in during massive PORTREVISION bump.

arrowd marked an inline comment as done.Jun 28 2018, 6:29 PM
tcberner accepted this revision.Jun 30 2018, 6:51 AM

Looks good to me.

I would commit the update of GHC and the bumps in one commit though.

This revision is now accepted and ready to land.Jun 30 2018, 6:51 AM
This revision was automatically updated to reflect the committed changes.